Package com.massivecraft.factions.zcore.nbtapi.utils

## Class GsonWrapper

- java.lang.Object
- - com.massivecraft.factions.zcore.nbtapi.utils.GsonWrapper

    public class GsonWrapper
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`GsonWrapper()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static <T> T` | `deserializeJson​(java.lang.String json, java.lang.Class<T> type)` |
`static java.lang.String` | `getString​(java.lang.Object obj)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GsonWrapper

    public GsonWrapper()

### Method Detail

#### getString

    public static java.lang.String getString​(java.lang.Object obj)

#### deserializeJson

    public static <T> T deserializeJson​(java.lang.String json,
                                        java.lang.Class<T> type)